Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xalan.xpath
Class XBoolean

    java.lang.Object
      |
      +--weblogic.apache.xalan.xpath.XObject
            |
            +--weblogic.apache.xalan.xpath.XBoolean

Direct Known Subclasses:
  XBooleanStatic

public class XBoolean
extends XObject

This class represents an XPath boolean object, and is capable of converting the boolean to other types, such as a string.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class weblogic.apache.xalan.xpath.XObject
`CLASS_BOOLEAN, CLASS_NODESET, CLASS_NULL, CLASS_NUMBER, CLASS_RTREEFRAG, CLASS_STRING, CLASS_UNKNOWN, m_obj`

Constructor Summary
`XBoolean(boolean b)` Construct a XNodeSet object.

Method Summary
`boolean` | `bool()` Cast result object to a boolean.
`boolean` | `equals(XObject obj2)` Tell if two objects are functionally equal.
`int` | `getType()` Tell that this is a CLASS_BOOLEAN.
`protected java.lang.String` | `getTypeString()` Given a request type, return the equivalent string.
`double` | `num()` Cast result object to a number.
`java.lang.Object` | `object()` Return a java object that's closes to the represenation that should be handed to an extension.
`java.lang.String` | `str()` Cast result object to a string.

Methods inherited from class weblogic.apache.xalan.xpath.XObject
`castToType, error, error, greaterThan, greaterThanOrEqual, lessThan, lessThanOrEqual, mutableNodeset, nodeset, notEquals, rtree, rtree, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XBoolean

    public XBoolean(boolean b)

  Construct a XNodeSet object.

Method Detail

### getType

    public int getType()

  Tell that this is a CLASS_BOOLEAN.

  Overrides:
    getType in class XObject

### getTypeString

    protected java.lang.String getTypeString()

  Given a request type, return the equivalent string. For diagnostic purposes.

  Overrides:
    getTypeString in class XObject

### num

    public double num()

  Cast result object to a number.

  Overrides:
    num in class XObject

### bool

    public boolean bool()

  Cast result object to a boolean.

  Overrides:
    bool in class XObject

### str

    public java.lang.String str()

  Cast result object to a string.

  Overrides:
    str in class XObject

### object

    public java.lang.Object object()

  Return a java object that's closes to the represenation that should be handed to an extension.

  Overrides:
    object in class XObject

### equals

    public boolean equals(XObject obj2)
                   throws org.xml.sax.SAXException

  Tell if two objects are functionally equal.

  Overrides:
    equals in class XObject

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD